Solusi untuk Cannot redeclare pclziputilpathreduction()

Mungkin anda pernah mengalami hal ini, pada saat mau mengupgrade/instalasi Plugin WordPress anda, eh tiba-tiba muncul pesan error begini:

Fatal error: Cannot redeclare pclziputilpathreduction() (previously declared in /xxxx/yyyyyyy/public_html/wp-content/plugins/wordpress-automatic-upgrade/lib/pclzip.lib.php:5421) in /xxxx/yyyyyyy/public_html/wp-admin/includes/class-pclzip.php on line 5489

Kalo begitu anda tidak sendiri 😀 , saya baru saja mengalaminya beberapa saat lalu ketika memasang Plugin WP-PageNavi langsung dari dashboard.

Setelah melakukan pencarian, ternyata masalahnya ada pada plugin WP Automatic Upgrade yang kebetulan masih aktif di blog ini. Karena WordPress 2.7 sudah memiliki fitur automatic upgrade sendiri, dan ketika melakukan instalasi plugin baru tadi WP-aumatic upgrade masih aktif sehingga terjadi bentrok antara pclzip punya wordpress dengan pclzip punya wp-automatic-upgrade (yang saya beri warna merah) sehingga instalasi plugin baru gagal dilakukan.

Solusinya adalah mendisable plugin WP-Automatic Upgrade, karena memang plugin ini tampaknya sudah tidak diperlukan lagi di WP 2.7.

Dan akhirnya plugin WP-PageNavi pun berhasil diinstall dengan sukses dan sekarang nangkring di bagian footer blog ini.

7 thoughts on “Solusi untuk Cannot redeclare pclziputilpathreduction()”

Comments are closed.